jsp无法使用bean的问题 弄了两天了想自杀了

06-12-15 maxinlife

bean代码

package beantest;

public class hello{

public String getString(){

return "Hello Jack!";

}

}

jsp代码

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"

pageEncoding="ISO-8859-1"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html>

<head>

<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">

<title>Insert title here</title>

</head>

<body>

<jsp:useBean id="hi" class="beantest.hello" scope="page"></jsp:useBean>

<%=hi.getString() %>

</body>

</html>

其中的提示为beantest无法解析为类型

我的平台是 eclipse+myclipse+tomact

其中 hello.class 放在WEB-INF的classes下

高人指教呀 想死了..............

不会是配置的有问题吧

banq
2006-12-19 11:04

对不起,估计现在回答你已经自杀了,看不到这个帖子了。

但是更对不起你的是,还是无法回答你的问题,建议开发工具换成Eclipse 3.2.1+jBossIDE2.0,那个myEclipse可以说已经过时了,而且还收费。

第2点:不要在Jsp中直接写Java代码,这是不对的,为什么呢?因为经常会碰到象你这个帖子这样的低级错误,你现在碰到只是一个,以后多了,自杀N多次都没有用,方向错误了,老老实实一开始就使用标签库写Jsp,学Struts或JSF

woodworm
2006-12-19 18:49

我的建议是连jboss ide也不要使。虽然我装了。但是我还是觉得eclipse自身的j2ee项目分类更合理些。

而且做j2ee的东西,太依赖ide了不好。